function KtLoggerWrapper(logger) {
  this.logger = logger;
}
KtLoggerWrapper.prototype.v = function (msg) {
  this.logger && this.logger.v && this.logger.v(msg);
};
KtLoggerWrapper.prototype.d = function (msg) {
  this.logger && this.logger.d && this.logger.d(msg);
};
KtLoggerWrapper.prototype.i = function (msg) {
  this.logger && this.logger.i && this.logger.i(msg);
};
KtLoggerWrapper.prototype.w = function (msg) {
  this.logger && this.logger.w && this.logger.w(msg);
};
KtLoggerWrapper.prototype.e = function (msg) {
  this.logger && this.logger.e && this.logger.e(msg);
};
module.exports= KtLoggerWrapper;